"""
Права доступа для пользователей (дополнительные).
"""
from rest_framework.permissions import BasePermission


class IsMentor(BasePermission):
    """
    Разрешение только для менторов.
    """

    def has_permission(self, request, view):
        return bool(request.user and request.user.is_authenticated and request.user.role == 'mentor')


